Functions | Variables

# sdl_s.cpp File Reference

Playing sound via SDL. More...

`#include "../stdafx.h"`
`#include "../mixer.h"`
`#include "../sdl.h"`
`#include "sdl_s.h"`
`#include <SDL.h>`

Go to the source code of this file.

## Functions
static void CDECL | fill_sound_buffer (void *userdata, Uint8 *stream, int len)
| Callback that fills the sound buffer.
## Variables
static FSoundDriver_SDL | iFSoundDriver_SDL
| Factory for the SDL sound driver.

## Detailed Description

Playing sound via SDL.

Definition in file sdl_s.cpp.

## Function Documentation

static void CDECL fill_sound_buffer | ( | void * | userdata,
|  | Uint8 * | stream,
|  | int | len |
| ) |  |  | `[static]`

Callback that fills the sound buffer.

Parameters:

  | userdata | Ignored.
  | stream | The stream to put data into.
  | len | The length of the stream in bytes.

Definition at line 30 of file sdl_s.cpp.

## Variable Documentation

FSoundDriver_SDL iFSoundDriver_SDL`[static]`

Factory for the SDL sound driver.

Definition at line 22 of file sdl_s.cpp.